This document describes the current stable version of Celery (5.6). For development docs, go here.

# `celery.app.utils`

App utilities: Compat settings, bug-report tool, pickling apps.

class celery.app.utils.Settings(*args, deprecated_settings=None, **kwargs)

  Celery settings object.

  property broker_read_url
  property broker_url
  property broker_write_url
  finalize()
  find_option(name, namespace='')

    Search for option by name.

    Example

        >>> from proj.celery import app
        >>> app.conf.find_option('disable_rate_limits')
        ('worker', 'prefetch_multiplier',
         <Option: type->bool default->False>))

    Parameters:

      - name (str) – Name of option, cannot be partial.

      - namespace (str) – Preferred name-space (`None` by default).

    Returns:

      of `(namespace, key, type)`.

    Return type:

      Tuple

  find_value_for_key(name, namespace='celery')

    Shortcut to `get_by_parts(*find_option(name)[:-1])`.

  get_by_parts(*parts)

    Return the current value for setting specified as a path.

    Example

        >>> from proj.celery import app
        >>> app.conf.get_by_parts('worker', 'disable_rate_limits')
        False

  humanize(with_defaults=False, censored=True)

    Return a human readable text showing configuration changes.

  maybe_warn_deprecated_settings()
  property result_backend
  table(with_defaults=False, censored=True)
  property task_default_exchange
  property task_default_routing_key
  property timezone
  value_set_for(key)
  without_defaults()

    Return the current configuration, but without defaults.

celery.app.utils.appstr(app)

  String used in __repr__ etc, to id app instances.

celery.app.utils.bugreport(app)

  Return a string containing information useful in bug-reports.

celery.app.utils.filter_hidden_settings(conf)

  Filter sensitive settings.

celery.app.utils.find_app(app, symbol_by_name=<function symbol_by_name>, imp=<function import_from_cwd>)

  Find app by name.